

// Texture to be drawn
Texture g_Tex;
sampler2D s = sampler_state {
	Texture = <g_Tex>;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = NONE;
	AddressU = CLAMP;
	AddressV = CLAMP;
};


// Depth Map
Texture g_Map;
sampler2D DM = sampler_state {
	Texture = <g_Map>;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = NONE;
	AddressU = CLAMP;
	AddressV = CLAMP;
};




float4 draw ( float2 texCoords : TEXCOORD0 ) : COLOR
{
    float fac = tex2D(s, texCoords).r;
    float4 alt = 0.6*tex2D(DM, texCoords);
    return float4(alt.r,alt.g,alt.b, fac);
}





technique Draw
{
	pass p0
	{
		Sampler[0] = <s>;
		Sampler[1] = <DM>;
		PixelShader = compile ps_2_0 draw();
	}
}
